# Class TCefBrowserRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFBrowser

## Declaration

`type TCefBrowserRef = class(TCefBaseRefCountedRef, ICefBrowser)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefBrowserRef

## Overview

### Methods

| `function IsValid: boolean;`
| `function GetHost: ICefBrowserHost;`
| `function CanGoBack: Boolean;`
| `procedure GoBack;`
| `function CanGoForward: Boolean;`
| `procedure GoForward;`
| `function IsLoading: Boolean;`
| `procedure Reload;`
| `procedure ReloadIgnoreCache;`
| `procedure StopLoad;`
| `function GetIdentifier: Integer;`
| `function IsSame(const that: ICefBrowser): Boolean;`
| `function IsPopup: Boolean;`
| `function HasDocument: Boolean;`
| `function GetMainFrame: ICefFrame;`
| `function GetFocusedFrame: ICefFrame;`
| `function GetFrameByIdentifier(const identifier: ustring): ICefFrame;`
| `function GetFrameByName(const name: ustring): ICefFrame;`
| `function GetFrameCount: NativeUInt;`
| `function GetFrameIdentifiers(var aFrameIdentifiers : TStrings) : boolean;`
| `function GetFrameNames(var aFrameNames : TStrings) : boolean;`
| `class function UnWrap(data: Pointer): ICefBrowser;`

## Description

### Methods

| `function IsValid: boolean;`
This item has no description. Showing description inherited from ICefBrowser.IsValid. True if this object is currently valid. This will return false (0) after ICefLifeSpanHandler.OnBeforeClose is called.

| `function GetHost: ICefBrowserHost;`
This item has no description. Showing description inherited from ICefBrowser.GetHost. Returns the browser host object. This function can only be called in the browser process.

| `function CanGoBack: Boolean;`
This item has no description. Showing description inherited from ICefBrowser.CanGoBack. Returns true (1) if the browser can navigate backwards.

| `procedure GoBack;`
This item has no description. Showing description inherited from ICefBrowser.GoBack. Navigate backwards.

| `function CanGoForward: Boolean;`
This item has no description. Showing description inherited from ICefBrowser.CanGoForward. Returns true (1) if the browser can navigate forwards.

| `procedure GoForward;`
This item has no description. Showing description inherited from ICefBrowser.GoForward. Navigate forwards.

| `function IsLoading: Boolean;`
This item has no description. Showing description inherited from ICefBrowser.IsLoading. Returns true (1) if the browser is currently loading.

| `procedure Reload;`
This item has no description. Showing description inherited from ICefBrowser.Reload. Reload the current page.

| `procedure ReloadIgnoreCache;`
This item has no description. Showing description inherited from ICefBrowser.ReloadIgnoreCache. Reload the current page ignoring any cached data.

| `procedure StopLoad;`
This item has no description. Showing description inherited from ICefBrowser.StopLoad. Stop loading the page.

| `function GetIdentifier: Integer;`
This item has no description. Showing description inherited from ICefBrowser.GetIdentifier. Returns the globally unique identifier for this browser. This value is also used as the tabId for extension APIs.

| `function IsSame(const that: ICefBrowser): Boolean;`
This item has no description. Showing description inherited from ICefBrowser.IsSame. Returns true (1) if this object is pointing to the same handle as |that| object.

| `function IsPopup: Boolean;`
This item has no description. Showing description inherited from ICefBrowser.IsPopup. Returns true (1) if the browser is a popup.

| `function HasDocument: Boolean;`
This item has no description. Showing description inherited from ICefBrowser.HasDocument. Returns true (1) if a document has been loaded in the browser.

| `function GetMainFrame: ICefFrame;`
This item has no description. Showing description inherited from ICefBrowser.GetMainFrame. Returns the main (top-level) frame for the browser. In the browser process this will return a valid object until after ICefLifeSpanHandler.OnBeforeClose is called. In the renderer process this will return NULL if the main frame is hosted in a different renderer process (e.g. for cross-origin sub-frames). The main frame object will change during cross-origin navigation or re-navigation after renderer process termination (due to crashes, etc).

| `function GetFocusedFrame: ICefFrame;`
This item has no description. Showing description inherited from ICefBrowser.GetFocusedFrame. Returns the focused frame for the browser.

| `function GetFrameByIdentifier(const identifier: ustring): ICefFrame;`
This item has no description. Showing description inherited from ICefBrowser.GetFrameByIdentifier. Returns the frame with the specified identifier, or NULL if not found.

| `function GetFrameByName(const name: ustring): ICefFrame;`
This item has no description. Showing description inherited from ICefBrowser.GetFrameByName. Returns the frame with the specified name, or NULL if not found.

| `function GetFrameCount: NativeUInt;`
This item has no description. Showing description inherited from ICefBrowser.GetFrameCount. Returns the number of frames that currently exist.

| `function GetFrameIdentifiers(var aFrameIdentifiers : TStrings) : boolean;`
This item has no description. Showing description inherited from ICefBrowser.GetFrameIdentifiers. Returns the identifiers of all existing frames.

| `function GetFrameNames(var aFrameNames : TStrings) : boolean;`
This item has no description. Showing description inherited from ICefBrowser.GetFrameNames. Returns the names of all existing frames.

| `class function UnWrap(data: Pointer): ICefBrowser;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.